Subject: Re: initrd problems

From: Sébastien Côté <[email-masked]>
Date: Mon, 22 Jan 2001 13:56:08 -0500

Matt Porter wrote:
> I've done this many times for custom board ports.  Have your JTAG
> probe configure the memory controller.  You then simply drop
> your vmlinux at physical 0.  Take your separate initrd image and
> drop it at a safe place like 0x800000.  Use the JTAG probe to set
> r4 to 0x800000 and r5 to 0x800000 + (<initrd_size> - 1).  Go at
> 0 and you'll boot then root from your initrd.

Ok, now this is exactly what I do.  The initrd doesn't get overwritten
anymore.  The function mount_root is called, the root device is opened
but I get a panic at:

	sb = get_super(ROOT_DEV);
	if (sb) { goto mount_it}
	...

	read_unlock(&file_systems_lock);
	panic("VFS: Unable to mount root fs on %s", kdevname(ROOT_DEV));

ROOT_DEV = 0x100 (RAM)

However, when I get to this point initrd_start is equal to 0.  I'm not
sure if this is ok, it could have been set to 0 by initrd_release but
I'm not sure.  I'm still fighting with the debugger to step into that
part of the code.

Still, this is better than what I had last week.  Thanks for your help!

Sébastien Côté

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/